<textarea [formControl]="formControl" #focus
          [id]="id"
          [required]="required"
          [placeholder]="placeholder"
          [minlength]="minlength !== null ? minlength : ''"
          [maxlength]="maxlength !== null ? maxlength : ''"
          [pattern]="pattern"
          [tabindex]="tabIndex"
          [attr.aria-invalid]="ngControl?.invalid"
          [attr.aria-describedby]="describedBy ? describedBy : id + '-hint'"
          [autocomplete]="autocomplete ? autocomplete : 'off'"
          [spellcheck]="spellcheck"
          autosize
          [minRows]="minRows"
          [maxRows]="maxRows"></textarea>
<span class="portal-container" id="portal-{{id}}"></span>
